Bug 171385 - CVE-2005-3274 ip_vs_conn_flush race
CVE-2005-3274 ip_vs_conn_flush race
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Don Howard
Brian Brock
public=20050628,impact=important,sour...
: Security
Depends On:
Blocks: 143573
  Show dependency treegraph
 
Reported: 2005-10-21 08:32 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0190
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-01 12:47:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-10-21 08:32:46 EDT
CVE-2005-3274 states:
        Race condition in ip_vs_conn_flush in Linux 2.6 before 2.6.13
        and 2.4 before 2.4.32-pre2, when running on SMP systems,
        allows local users to cause a denial of service (null
        dereference) by causing a connection timer to expire while the
        connection table is being flushed before the appropriate lock
        is acquired.

http://linux.bkbits.net:8080/linux-2.4/cset@42e69d4edEXsgo_fbmvtFPjfALoEug

This issue looks to affect rhel2.1 ipf because of the backport of ipvs in
linux-2.4.18-ipvs-1.0.3.patch

Note for RHEL3 we updated the similar backported patch we included for U6.
RHEL2.1 x86 does not look vulnerable as it uses a more outdated version of the
ipvs code.
Comment 4 Red Hat Bugzilla 2006-02-01 12:47:01 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0190.html

Note You need to log in before you can comment on or make changes to this bug.